Set Registry Component Deprecation
Path Parameters
publisher*string
name*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
deprecated*boolean
message?string
projectId?string|null
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v1/component-registry/components/string/string/deprecation" \ -H "Content-Type: application/json" \ -d '{ "deprecated": true }'Empty
{ "_tag": "Api/SdkValidationError", "message": "string"}{ "_tag": "Api/AuthenticationError", "cause": "string", "message": "string"}{ "_tag": "Api/ActionForbiddenError", "message": "string"}{ "_tag": "Api/ComponentNotFoundError", "message": "string"}{ "_tag": "Api/ComponentInvalidError", "message": "string", "problems": [ "string" ]}{ "_tag": "Api/ComponentServiceError", "message": "string"}